Не удается загрузить tensorflow_hub

после записи import tensorflow_hub выскакивает следующая ошибка:

class LatestModuleExporter(tf.estimator.Exporter):

AttributeError: модуль tenorflow.python.estimator.estimator_lib не имеет атрибута Exporter.

Я использую python 3.6 с tenorflow 1.7 в Windows 10

Благодарность!

7
0
14 303
3

Ответы 3

Я считаю, что ваша среда выполнения python3 на самом деле не работает с tenorflow 1.7. Этот атрибут существует с tenorflow 1.4. Я подозреваю некоторое несоответствие между средой python2 / 3, несоответствие установки с помощью pip / pip3 или проблему с установкой пакетов tenorflow и tf-nightly pip.

Вы можете дважды проверить:

$ python3 -c "import tensorflow as tf; print(tf.__version__)"

Вы можете переустановить TensorFlow_hub:

pip install ipykernel

pip install tensorflow_hub

У вас должен быть как минимум tenorflow 1.7.0, обновленный:

pip install "tensorflow>=1.7.0"
pip install tensorflow-hub

а потом:

pip install tensorflow-hub

источник: здесь

Другие вопросы по теме